.\" Copyright (c) 1980, 1989, 1991 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgment:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)ft.8
.\" $FreeBSD: src/sbin/i386/ft/ft.8,v 1.2.6.3 1999/09/05 11:23:59 peter Exp $
.\"
.Dd February 7, 1994
.Dt FT 8
.Os BSD 4
.Sh NAME
.Nm ft
.Nd QIC 40/80 floppy tape drive controller
.Sh SYNOPSIS
.Nm ft
.Op Fl f Ar tape
.Op Fl r
.Op Ar description
.Sh DESCRIPTION
The 
.Nm
command allows multi-volume dump, extract, and view of tape labels, for
any pre-formatted QIC-40/80 tapes.  It is totally system dependent,
and has nothing to do with the QIC standards.
.Pp
The following options are available:
.Bl -tag -width indent
.It Fl f Ar tape
Read or write the specified
.Ar tape
(default is
.Pa /dev/rft0
unless the environment variable
.Ev TAPE
is set).
.It Fl r
Do retension tape.
.El
.Pp
.Nm Ft
is used primarily as a filter for tape i/o.
For example, to save and compress the
.Pa /usr
directory to tape:
.Bd -literal -offset indent
% tar cvzf - /usr | ft "/usr save"
.Ed
.Pp
To extract /usr from tape:
.Bd -literal -offset indent
% ft | tar xvzf -
.Ed
.\" .Sh SEE ALSO
.\" .Xr qtar 1
.Sh BUGS
Formatting/Verifying is in the works.  You will need to use your
existing backup program to do this for the time being.
.Sh NOTES
The floppy tape driver supports tape drives such as the Colorado
Jumbo, Mountain Summit Express, some Archive/Conner models, and
probably many others.  These tape drives attach between your floppy
disk controller card and your existing floppy disks' ribbon cable.
This driver does not currently support attachments via a proprietary
tape controller card or by the parallel port.
.Pp
QIC-40/80 drives are more CPU intensive than a SCSI drive.  This is
really only a factor if your machine is networked or has multiple concurrent
users.  For personal use (i.e. your typical home Unix user), response time
is perfectly acceptable.  The tape drives cannot detect write errors.
Instead, they make up for it by using CRC's, error correction, and bad
spot mapping.  Formatting time is extremely long because of this.  The
drive makes a first pass over the entire tape writing out sectors.  It
then makes a second pass at a slower rate than usual (for sensitivity)
to detect bad spots on the tape.  Typically it takes an hour to format
a single QIC-80 (120Mb uncompressed) tape.
.Sh AUTHORS
.An Steve Gerakines Aq steve2@genesis.nred.ma.us
